org.wso2.carbon.dataservices.ui.stub.admin

## Class TestJDBCConnection

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.stub.admin.TestJDBCConnection

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class TestJDBCConnection
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  TestJDBCConnection bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TestJDBCConnection.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `localDriverClass` field for DriverClass
    `protected boolean` | `localDriverClassTracker`
    `protected String` | `localJdbcURL` field for JdbcURL
    `protected boolean` | `localJdbcURLTracker`
    `protected String` | `localPassword` field for Password
    `protected String` | `localPasswordAlias` field for PasswordAlias
    `protected boolean` | `localPasswordAliasTracker`
    `protected boolean` | `localPasswordTracker`
    `protected String` | `localUsername` field for Username
    `protected boolean` | `localUsernameTracker`
    `static QName` | `MY_QNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestJDBCConnection()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDriverClass()` Auto generated getter method
    `String` | `getJdbcURL()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `String` | `getPassword()` Auto generated getter method
    `String` | `getPasswordAlias()` Auto generated getter method
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `String` | `getUsername()` Auto generated getter method
    `boolean` | `isDriverClassSpecified()`
    `boolean` | `isJdbcURLSpecified()`
    `boolean` | `isPasswordAliasSpecified()`
    `boolean` | `isPasswordSpecified()`
    `boolean` | `isUsernameSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setDriverClass(String param)` Auto generated setter method
    `void` | `setJdbcURL(String param)` Auto generated setter method
    `void` | `setPassword(String param)` Auto generated setter method
    `void` | `setPasswordAlias(String param)` Auto generated setter method
    `void` | `setUsername(String param)` Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MY_QNAME

          public static final QName MY_QNAME

    - #### localDriverClass

          protected String localDriverClass

      field for DriverClass

    - #### localDriverClassTracker

          protected boolean localDriverClassTracker

    - #### localJdbcURL

          protected String localJdbcURL

      field for JdbcURL

    - #### localJdbcURLTracker

          protected boolean localJdbcURLTracker

    - #### localUsername

          protected String localUsername

      field for Username

    - #### localUsernameTracker

          protected boolean localUsernameTracker

    - #### localPassword

          protected String localPassword

      field for Password

    - #### localPasswordTracker

          protected boolean localPasswordTracker

    - #### localPasswordAlias

          protected String localPasswordAlias

      field for PasswordAlias

    - #### localPasswordAliasTracker

          protected boolean localPasswordAliasTracker

  - ### Constructor Detail

    - #### TestJDBCConnection

          public TestJDBCConnection()

  - ### Method Detail

    - #### isDriverClassSpecified

          public boolean isDriverClassSpecified()

    - #### getDriverClass

          public String getDriverClass()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setDriverClass

          public void setDriverClass(String param)

      Auto generated setter method
      Parameters:
        `param` - DriverClass

    - #### isJdbcURLSpecified

          public boolean isJdbcURLSpecified()

    - #### getJdbcURL

          public String getJdbcURL()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setJdbcURL

          public void setJdbcURL(String param)

      Auto generated setter method
      Parameters:
        `param` - JdbcURL

    - #### isUsernameSpecified

          public boolean isUsernameSpecified()

    - #### getUsername

          public String getUsername()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setUsername

          public void setUsername(String param)

      Auto generated setter method
      Parameters:
        `param` - Username

    - #### isPasswordSpecified

          public boolean isPasswordSpecified()

    - #### getPassword

          public String getPassword()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setPassword

          public void setPassword(String param)

      Auto generated setter method
      Parameters:
        `param` - Password

    - #### isPasswordAliasSpecified

          public boolean isPasswordAliasSpecified()

    - #### getPasswordAlias

          public String getPasswordAlias()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setPasswordAlias

          public void setPasswordAlias(String param)

      Auto generated setter method
      Parameters:
        `param` - PasswordAlias

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2019 WSO2. All rights reserved.